cURL
curl --request POST \ --url https://mcp-bff.gojinko.com/api/v1/shop/sync \ --header 'Content-Type: application/json' \ --data ' { "trip_id": "<string>" } '
{ "actions_performed": [ "<string>" ], "contact": { "email": "<string>", "phone": "<string>" }, "items": [ { "currency": "<string>", "description": "<string>", "item_id": "<string>", "price": 123, "type": "<string>" } ], "status": "<string>", "totals": { "currency": "<string>", "total": 123 }, "travelers": [ { "date_of_birth": "<string>", "first_name": "<string>", "gender": "<string>", "last_name": "<string>", "passenger_type": "<string>" } ], "trip_id": "<string>" }
Unified trip management endpoint. Accepts create / add_product / remove_product / set_travelers / remove_travelers actions and returns the resulting trip state.
Trip request
Show child attributes
existing cart ID; omit to create new
Trip updated
e.g. ["created", "item_added", "travelers_updated"]
e.g. "draft"